Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 641094 - portage stuck in preserved-rebuild repeat loop after switching to no-multilib
Summary: portage stuck in preserved-rebuild repeat loop after switching to no-multilib
Status: UNCONFIRMED
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Portage team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: preserve-libs
  Show dependency tree
 
Reported: 2017-12-15 07:42 UTC by Mircea Sava
Modified: 2018-01-11 22:14 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mircea Sava 2017-12-15 07:42:15 UTC
Switching to no-multilib profile creates a rather peculiar case involving portage. The subsequent remerge of the packages requiring change went well, but, after a couple of preserved-rebuilds I found myself having to preserved-rebuild the same three packages over and over as portage is unable to clear the preserved libs.

Reproducible: Always

Steps to Reproduce:
1. eselect profile set 24
2. emerge -DNu @world
3. emerge @preserved-rebuild
4. emerge @preserved-rebuild (loop)
Actual Results:  
1. eselect profile show
Current /etc/portage/make.profile symlink:
  default/linux/amd64/17.0/no-multilib/hardened/selinux

2. emerge -DNpu @world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] sys-apps/sandbox-2.10-r4  ABI_X86="(-32*)" 
[ebuild   R    ] media-libs/xvid-1.3.3  USE="-pic*" 
[ebuild   R    ] media-libs/x264-0.0.20160712  USE="-pic*" 
[ebuild   R    ] media-video/ffmpeg-3.3.5  USE="-pic*" 
[ebuild   R    ] media-libs/mesa-17.1.10  USE="-pic*" 
[ebuild   R    ] sys-devel/gcc-6.4.0  USE="(-multilib*)" 
[ebuild   R    ] sys-libs/glibc-2.25-r9  USE="(-multilib*)"

3. emerge -p @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-lang/go-1.9.2 
[ebuild   R    ] app-misc/misterhouse-2.103-r1 
[ebuild   R    ] sys-devel/llvm-3.9.1-r1 
[ebuild   R    ] dev-util/valgrind-3.12.0 
[ebuild   R   ~] www-apps/moodle-3.4

4. emerge -p @preserved-rebuild

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R    ] dev-lang/go-1.9.2 
[ebuild   R    ] app-misc/misterhouse-2.103-r1 
[ebuild   R   ~] www-apps/moodle-3.4

Expected Results:  
Not step 4

portageq list_preserved_libs /
sys-libs/glibc-2.25-r9 /lib32/ld-2.25.so /lib32/libc-2.25.so /lib32/libm-2.25.so /lib32/libm.so.6 /lib32/ld-linux.so.2 /lib32/libc.so.6


Portage 2.3.13 (python 2.7.14-final-0, default/linux/amd64/17.0/no-multilib/hardened/selinux, gcc-6.4.0, glibc-2.25-r9, 4.12.12-gen2-gnu x86_64)
=================================================================
System uname: Linux-4.12.12-gen2-gnu-x86_64-Intel-R-_Core-TM-_i3-3110M_CPU_@_2.40GHz-with-gentoo-2.4.1
KiB Mem:    16303448 total,  11247512 free
KiB Swap:    2097148 total,   2097148 free
Timestamp of repository gentoo: Thu, 14 Dec 2017 00:45:01 +0000
Head commit of repository bitcoin: 195c561c0289113248170bb74eb0d62c2eb64102

Head commit of repository matrix: ac85a6b9eca312a1bb6c6109d3b9bf105bdcefd4

Head commit of repository science: 596207ca6a24358be8bba0121b7b4c35239aa860

sh bash 4.3_p48-r1
ld GNU ld (Gentoo 2.29.1 p3) 2.29.1
app-shells/bash:          4.3_p48-r1::gentoo
dev-java/java-config:     2.2.0-r3::gentoo
dev-lang/perl:            5.24.3::gentoo
dev-lang/python:          2.7.14-r1::gentoo, 3.5.4-r1::gentoo
dev-util/cmake:           3.8.2::gentoo
dev-util/pkgconfig:       0.29.2::gentoo
sys-apps/baselayout:      2.4.1-r2::gentoo
sys-apps/openrc:          0.34.11::gentoo
sys-apps/sandbox:         2.10-r4::gentoo
sys-devel/autoconf:       2.13::gentoo, 2.69::gentoo
sys-devel/automake:       1.11.6-r2::gentoo, 1.13.4-r1::gentoo, 1.15.1-r1::gentoo
sys-devel/binutils:       2.29.1-r1::gentoo
sys-devel/gcc:            6.4.0::gentoo
sys-devel/gcc-config:     1.8-r1::gentoo
sys-devel/libtool:        2.4.6-r3::gentoo
sys-devel/make:           4.2.1::gentoo
sys-kernel/linux-headers: 4.4::gentoo (virtual/os-headers)
sys-libs/glibc:           2.25-r9::gentoo
Repositories:

gentoo
    location: /usr/portage
    sync-type: webrsync
    sync-uri: rsync://rsync.gentoo.org/gentoo-portage
    priority: -1000

local
    location: /usr/local/portage
    masters: gentoo

bitcoin
    location: /var/lib/overlays/bitcoin
    sync-type: git
    sync-uri: https://gitlab.com/bitcoin/gentoo.git
    masters: gentoo
    priority: 50

matrix
    location: /var/lib/overlays/matrix
    sync-type: git
    sync-uri: https://github.com/PureTryOut/matrix-overlay.git
    masters: gentoo
    priority: 50

science
    location: /var/lib/overlays/science
    sync-type: git
    sync-uri: https://anongit.gentoo.org/git/proj/sci.git
    masters: gentoo
    priority: 50

ACCEPT_KEYWORDS="amd64"
ACCEPT_LICENSE="@FREE"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core-avx-i -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /etc/stunnel/stunnel.conf /usr/lib64/libreoffice/program/sofficerc /usr/share/config /usr/share/easy-rsa /usr/share/gnupg/qualified.txt /var/bind /var/spool/munin-async/.ssh"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/dconf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php7.0/ext-active/ /etc/php/cgi-php7.0/ext-active/ /etc/php/cli-php7.0/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core-avx-i -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync multilib-strict news parallel-fetch preserve-libs protect-owned sandbox selinux sesandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox usersync webrsync-gpg xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://lug.mtu.edu/gentoo/ http://gentoo.osuosl.org/ rsync://mirrors.rit.edu/gentoo/ http://mirrors.rit.edu/gentoo/ http://mirror.iawnet.sandia.gov/gentoo/ http://mirror.lug.udel.edu/pub/gentoo/ http://cosmos.illinois.edu/pub/gentoo/ rsync://gentoo.cs.uni.edu/gentoo-distfiles http://gentoo.cs.uni.edu/ http://mirror.usu.edu/mirrors/gentoo/"
LANG="en_US.UTF8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j5 -l4"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --omit-dir-times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages --exclude=/.git"
PORTAGE_TMPDIR="/var/tmp"
USE="X a52 aac aalib accessibility acl acpi alsa amd64 audiofile audit avahi bash-completion bindist blas bluetooth branding bzip2 cairo cdda cddb cdparanoia cdr clamav consolekit cracklib crypt css cups curl cxx dbus deblob djvu dts dv dvd dvdr emboss encode exif fam fbcon ffmpeg fftw flac fontconfig geoip geolocation gif gimp git gnuplot gphoto2 gpm gps graphviz gsl gstreamer hardened hddtemp hdf5 iconv icu idn imlib inotify ipv6 jack jbig jemalloc jpeg jpeg2k justify kde kerberos ladspa lapack lash latex lcms ldap libnotify libsamplerate lm_sensors lua lzma mad matroska memcached memlimit mime mms mng modplug mozilla mp3 mp4 mpeg mpi mplayer mtp musepack musicbrainz mysql mysqli ncurses netcdf networkmanager nls nntp nptl offensive ofx ogg open_perms openexr opengl openmp pam pcre pdf php pie plasma plotutils png policykit posix postgres postscript ppds python qml qt5 quicktime raw readline rss sasl scanner sctp sdl seccomp selinux semantic-desktop slp smartcard smp sndfile snmp sockets socks5 sound sox speex spell sqlite ssl ssp startup-notification svg sybase syslog szip taglib tcl theora threads tiff tk tools truetype udev udisks unconfined unicode upower usb utils v4l vaapi vcd vdpau vhosts vim-syntax vnc vorbis wavpack wayland webp wifi wmf wxwidgets x264 xattr xcb xcomposite xface xft xml xmlrpc xmp xmpp xpm xtpax xv xvid yaz zeroconf zlib" ABI_X86="64" ALSA_CARDS="hda-intel" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" CPU_FLAGS_X86="avx mmx mmxext popcnt sse sse2 sse3 sse4_1 sse4_2 ssse3" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock isync itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf skytraq superstar2 timing tsip tripmate tnt ublox ubx" INPUT_DEVICES="evdev synaptics" KERNEL="linux" L10N="en en-US" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="nlpsolver" LINGUAS="en en_US" LLVM_TARGETS="X86" NGINX_MODULES_HTTP="access auth_basic auth_pam autoindex browser cache_purge charset empty_gif fancyindex fastcgi geo gzip limit_conn limit_req map memcached metrics proxy realip referer rewrite scgi secure_link security split_clients ssi stub_status upload_progress upstream_check upstream_ip_hash userid uwsgi xslt" NGINX_MODULES_MAIL="imap pop3 smtp" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php7-0" POSTGRES_TARGETS="postgres9_5" PYTHON_SINGLE_TARGET="python3_5" PYTHON_TARGETS="python2_7 python3_5" QEMU_SOFTMMU_TARGETS="aarch64 arm ppc64 x86_64" QEMU_USER_TARGETS="x86_64" RUBY_TARGETS="ruby22" SANE_BACKENDS="hp" USERLAND="GNU" VIDEO_CARDS="intel i965" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CC, CPPFLAGS, CTARGET, CXX, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Zac Medico gentoo-dev 2017-12-22 22:33:48 UTC
Each of those packages needs to be fixed, so please file separate bugs for each one.